Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AttributeInitializer

    java.lang.Object
      org.apache.batik.dom.svg.AttributeInitializer

    public class AttributeInitializer

extends Object

This class is used by elements to initialize and reset their attributes.

Field Summary
`protected String[]` | `keys` The list of namespaces, prefixes and names.
`protected int` | `length` The length of keys.
`protected DoublyIndexedTable` | `values` The attribute values table.

Constructor Summary
`AttributeInitializer(int capacity)` Creates a new AttributeInitializer.

Method Summary
`void` | `addAttribute(String ns, String prefix, String ln, String val)` Adds a default attribute value to the initializer.
`void` | `initializeAttributes(AbstractElement elt)` Initializes the attributes of the given element.
`boolean` | `resetAttribute(AbstractElement elt, String ns, String prefix, String ln)` Resets an attribute of the given element to its default value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keys

    protected String[] keys

  The list of namespaces, prefixes and names.

### length

    protected int length

  The length of keys.

### values

    protected DoublyIndexedTable values

  The attribute values table.

Constructor Detail

### AttributeInitializer

    public AttributeInitializer(int capacity)

  Creates a new AttributeInitializer.

Method Detail

### addAttribute

    public void addAttribute(String ns,
                             String prefix,
                             String ln,
                             String val)

  Adds a default attribute value to the initializer.

  Parameters:
    `ns` - The attribute namespace URI.
    `prefix` - The attribute's name prefix, or null.
    `ln` - The attribute's local name.
    `val` - The attribute's default value.

### initializeAttributes

    public void initializeAttributes(AbstractElement elt)

  Initializes the attributes of the given element.

### resetAttribute

    public boolean resetAttribute(AbstractElement elt,
                                  String ns,
                                  String prefix,
                                  String ln)

  Resets an attribute of the given element to its default value.

  Parameters:
    `elt` - The element to modify.
    `ns` - The attribute namespace URI.
    `prefix` - The attribute's name prefix.
    `ln` - The attribute's local name.
  Returns:
    true if a default value is known for the given attribute and if it was resetted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.